import {
	ApiHttp
} from '@/utils/request.js'

//用户需求广场
const userNeedSquare = (params) => {
	return ApiHttp('/xinrenli/order/userDemandSquare',params,'GET')
}
// 获取订单详细信息
const orderDetailMsg = (params) => {
	return ApiHttp('/xinrenli/order/',params,'GET')
}

//我的需求
const myNeedList = (params) => {
	return ApiHttp('/xinrenli/order/MyNeeds',params,'GET')
}

// 新增订单（发布）
const addOrderFunction = (params) =>{
	return ApiHttp('/xinrenli/order',params,'POST')
}

// 修改订单（发布）
const updateOrderFunction = (params) =>{
	return ApiHttp('/xinrenli/order',params,'PUT')
}

export {
	userNeedSquare,
	orderDetailMsg,
	myNeedList,
	addOrderFunction,
	updateOrderFunction
}